powered by Jive Software

FastPath Errors Out After Installing Java 7 Update 11

I’ve had Openfire 3.70 and FastPath working fine for years. Yesterday after a Java security update, I’m getting now this error from the code that is on our website:


org.apache.jasper.JasperException: /userinfo.jsp(22,0) The value for the useBean class attribute org.jivesoftware.webchat.ChatUser is invalid.

org.apache.jasper.compiler.DefaultErrorHandler.jspError(DefaultErrorHandler.java :40)

org.apache.jasper.compiler.ErrorDispatcher.dispatch(ErrorDispatcher.java:407)

org.apache.jasper.compiler.ErrorDispatcher.jspError(ErrorDispatcher.java:148)

org.apache.jasper.compiler.Generator$GenerateVisitor.visit(Generator.java:1203)

org.apache.jasper.compiler.Node$UseBean.accept(Node.java:1160)


Spark IM works fine, I can log into the OpenFire server fine, no errors show up.

This is the code that triggers the above error:

http://208.xxx.88.xx:8080/webchat/userinfo.jsp?chatID=18H1iT8lo1&workgroup=sales @workgroup.igt-server.xxx.com

Does anyone have a fix for this?

Thanks!

You may want to try upgrading to version 3.8 of openfire… we are using this fine on windows 8 with latest version of java